source: squid-ssl/trunk/fuentes/src/adaptation/ecap/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 45.1 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/adaptation/ecap/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93subdir = src/adaptation/ecap
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161am__DEPENDENCIES_1 =
162libsquid_ecap_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
163am_libsquid_ecap_la_OBJECTS = libsquid_ecap_la-Config.lo \
164        libsquid_ecap_la-Host.lo libsquid_ecap_la-MessageRep.lo \
165        libsquid_ecap_la-ServiceRep.lo libsquid_ecap_la-XactionRep.lo
166libsquid_ecap_la_OBJECTS = $(am_libsquid_ecap_la_OBJECTS)
167AM_V_lt = $(am__v_lt_$(V))
168am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
169am__v_lt_0 = --silent
170am__v_lt_1 = 
171libsquid_ecap_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
172        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
173        $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
174        $(LDFLAGS) -o $@
175AM_V_P = $(am__v_P_$(V))
176am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
177am__v_P_0 = false
178am__v_P_1 = :
179AM_V_GEN = $(am__v_GEN_$(V))
180am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
181am__v_GEN_0 = @echo "  GEN     " $@;
182am__v_GEN_1 = 
183AM_V_at = $(am__v_at_$(V))
184am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
185am__v_at_0 = @
186am__v_at_1 = 
187DEFAULT_INCLUDES = 
188depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
189am__depfiles_maybe = depfiles
190am__mv = mv -f
191CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
192        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
193LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
194        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
195        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
196        $(AM_CXXFLAGS) $(CXXFLAGS)
197AM_V_CXX = $(am__v_CXX_$(V))
198am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
199am__v_CXX_0 = @echo "  CXX     " $@;
200am__v_CXX_1 = 
201CXXLD = $(CXX)
202CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
203        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
204        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
205AM_V_CXXLD = $(am__v_CXXLD_$(V))
206am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
207am__v_CXXLD_0 = @echo "  CXXLD   " $@;
208am__v_CXXLD_1 = 
209COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
210        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
211LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
212        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
213        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
214        $(AM_CFLAGS) $(CFLAGS)
215AM_V_CC = $(am__v_CC_$(V))
216am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
217am__v_CC_0 = @echo "  CC      " $@;
218am__v_CC_1 = 
219CCLD = $(CC)
220LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
221        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
222        $(AM_LDFLAGS) $(LDFLAGS) -o $@
223AM_V_CCLD = $(am__v_CCLD_$(V))
224am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
225am__v_CCLD_0 = @echo "  CCLD    " $@;
226am__v_CCLD_1 = 
227SOURCES = $(libsquid_ecap_la_SOURCES)
228DIST_SOURCES = $(libsquid_ecap_la_SOURCES)
229am__can_run_installinfo = \
230  case $$AM_UPDATE_INFO_DIR in \
231    n|no|NO) false;; \
232    *) (install-info --version) >/dev/null 2>&1;; \
233  esac
234am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
235# Read a list of newline-separated strings from the standard input,
236# and print each of them once, without duplicates.  Input order is
237# *not* preserved.
238am__uniquify_input = $(AWK) '\
239  BEGIN { nonempty = 0; } \
240  { items[$$0] = 1; nonempty = 1; } \
241  END { if (nonempty) { for (i in items) print i; }; } \
242'
243# Make sure the list of sources is unique.  This is necessary because,
244# e.g., the same source file might be shared among _SOURCES variables
245# for different programs/libraries.
246am__define_uniq_tagged_files = \
247  list='$(am__tagged_files)'; \
248  unique=`for i in $$list; do \
249    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
250  done | $(am__uniquify_input)`
251ETAGS = etags
252CTAGS = ctags
253am__tty_colors_dummy = \
254  mgn= red= grn= lgn= blu= brg= std=; \
255  am__color_tests=no
256am__tty_colors = { \
257  $(am__tty_colors_dummy); \
258  if test "X$(AM_COLOR_TESTS)" = Xno; then \
259    am__color_tests=no; \
260  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
261    am__color_tests=yes; \
262  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
263    am__color_tests=yes; \
264  fi; \
265  if test $$am__color_tests = yes; then \
266    red='[0;31m'; \
267    grn='[0;32m'; \
268    lgn='[1;32m'; \
269    blu='[1;34m'; \
270    mgn='[0;35m'; \
271    brg='[1m'; \
272    std='[m'; \
273  fi; \
274}
275am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
276am__vpath_adj = case $$p in \
277    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
278    *) f=$$p;; \
279  esac;
280am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
281am__install_max = 40
282am__nobase_strip_setup = \
283  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
284am__nobase_strip = \
285  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
286am__nobase_list = $(am__nobase_strip_setup); \
287  for p in $$list; do echo "$$p $$p"; done | \
288  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
289  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
290    if (++n[$$2] == $(am__install_max)) \
291      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
292    END { for (dir in files) print dir, files[dir] }'
293am__base_list = \
294  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
295  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
296am__uninstall_files_from_dir = { \
297  test -z "$$files" \
298    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
299    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
300         $(am__cd) "$$dir" && rm -f $$files; }; \
301  }
302am__recheck_rx = ^[     ]*:recheck:[    ]*
303am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
304am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
305# A command that, given a newline-separated list of test names on the
306# standard input, print the name of the tests that are to be re-run
307# upon "make recheck".
308am__list_recheck_tests = $(AWK) '{ \
309  recheck = 1; \
310  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
311    { \
312      if (rc < 0) \
313        { \
314          if ((getline line2 < ($$0 ".log")) < 0) \
315            recheck = 0; \
316          break; \
317        } \
318      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
319        { \
320          recheck = 0; \
321          break; \
322        } \
323      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
324        { \
325          break; \
326        } \
327    }; \
328  if (recheck) \
329    print $$0; \
330  close ($$0 ".trs"); \
331  close ($$0 ".log"); \
332}'
333# A command that, given a newline-separated list of test names on the
334# standard input, create the global log from their .trs and .log files.
335am__create_global_log = $(AWK) ' \
336function fatal(msg) \
337{ \
338  print "fatal: making $@: " msg | "cat >&2"; \
339  exit 1; \
340} \
341function rst_section(header) \
342{ \
343  print header; \
344  len = length(header); \
345  for (i = 1; i <= len; i = i + 1) \
346    printf "="; \
347  printf "\n\n"; \
348} \
349{ \
350  copy_in_global_log = 1; \
351  global_test_result = "RUN"; \
352  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
353    { \
354      if (rc < 0) \
355         fatal("failed to read from " $$0 ".trs"); \
356      if (line ~ /$(am__global_test_result_rx)/) \
357        { \
358          sub("$(am__global_test_result_rx)", "", line); \
359          sub("[        ]*$$", "", line); \
360          global_test_result = line; \
361        } \
362      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
363        copy_in_global_log = 0; \
364    }; \
365  if (copy_in_global_log) \
366    { \
367      rst_section(global_test_result ": " $$0); \
368      while ((rc = (getline line < ($$0 ".log"))) != 0) \
369      { \
370        if (rc < 0) \
371          fatal("failed to read from " $$0 ".log"); \
372        print line; \
373      }; \
374      printf "\n"; \
375    }; \
376  close ($$0 ".trs"); \
377  close ($$0 ".log"); \
378}'
379# Restructured Text title.
380am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
381# Solaris 10 'make', and several other traditional 'make' implementations,
382# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
383# by disabling -e (using the XSI extension "set +e") if it's set.
384am__sh_e_setup = case $$- in *e*) set +e;; esac
385# Default flags passed to test drivers.
386am__common_driver_flags = \
387  --color-tests "$$am__color_tests" \
388  --enable-hard-errors "$$am__enable_hard_errors" \
389  --expect-failure "$$am__expect_failure"
390# To be inserted before the command running the test.  Creates the
391# directory for the log if needed.  Stores in $dir the directory
392# containing $f, in $tst the test, in $log the log.  Executes the
393# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
394# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
395# will run the test scripts (or their associated LOG_COMPILER, if
396# thy have one).
397am__check_pre = \
398$(am__sh_e_setup);                                      \
399$(am__vpath_adj_setup) $(am__vpath_adj)                 \
400$(am__tty_colors);                                      \
401srcdir=$(srcdir); export srcdir;                        \
402case "$@" in                                            \
403  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
404    *) am__odir=.;;                                     \
405esac;                                                   \
406test "x$$am__odir" = x"." || test -d "$$am__odir"       \
407  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
408if test -f "./$$f"; then dir=./;                        \
409elif test -f "$$f"; then dir=;                          \
410else dir="$(srcdir)/"; fi;                              \
411tst=$$dir$$f; log='$@';                                 \
412if test -n '$(DISABLE_HARD_ERRORS)'; then               \
413  am__enable_hard_errors=no;                            \
414else                                                    \
415  am__enable_hard_errors=yes;                           \
416fi;                                                     \
417case " $(XFAIL_TESTS) " in                              \
418  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
419    am__expect_failure=yes;;                            \
420  *)                                                    \
421    am__expect_failure=no;;                             \
422esac;                                                   \
423$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
424# A shell command to get the names of the tests scripts with any registered
425# extension removed (i.e., equivalently, the names of the test logs, with
426# the '.log' extension removed).  The result is saved in the shell variable
427# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
428# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
429# since that might cause problem with VPATH rewrites for suffix-less tests.
430# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
431am__set_TESTS_bases = \
432  bases='$(TEST_LOGS)'; \
433  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
434  bases=`echo $$bases`
435RECHECK_LOGS = $(TEST_LOGS)
436AM_RECURSIVE_TARGETS = check recheck
437TEST_SUITE_LOG = test-suite.log
438TEST_EXTENSIONS =  .test
439LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
440LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
441am__set_b = \
442  case '$@' in \
443    */*) \
444      case '$*' in \
445        */*) b='$*';; \
446          *) b=`echo '$@' | sed 's/\.log$$//'`; \
447       esac;; \
448    *) \
449      b='$*';; \
450  esac
451am__test_logs1 = $(TESTS:=.log)
452am__test_logs2 = $(am__test_logs1:.log=.log)
453TEST_LOGS = $(am__test_logs2:.test.log=.log)
454TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
455TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
456        $(TEST_LOG_FLAGS)
457am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
458        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
459        $(top_srcdir)/src/TestHeaders.am
460DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
461ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
462ADAPTATION_LIBS = adaptation/libadaptation.la
463ALLOCA =
464AMTAR = $${TAR-tar}
465AM_DEFAULT_VERBOSITY = 1
466AR = /usr/bin/ar
467AR_R = /usr/bin/ar r
468AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
469AUTH_MODULES =  basic digest negotiate ntlm
470AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
471AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
472AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
473AWK = gawk
474BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
475BUILDCXX = g++
476BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
477BZR =
478CACHE_EFFECTIVE_USER = proxy
479CC = gcc
480CCDEPMODE = depmode=none
481CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
482CGIEXT = .cgi
483CHMOD = /bin/chmod
484CPP = gcc -E
485CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
486CPPUNITCONFIG = /usr/bin/cppunit-config
487CRYPTLIB = -lcrypt
488CXX = g++
489CXXCPP = g++ -E
490CXXDEPMODE = depmode=none
491CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
492CYGPATH_W = echo
493DEFAULT_HOSTS = /etc/hosts
494DEFAULT_LOG_DIR = /var/log/squid-ssl
495DEFAULT_PID_FILE = /var/run/squid-ssl.pid
496DEFAULT_SWAP_DIR = /var/spool/squid-ssl
497DEFS = -DHAVE_CONFIG_H
498DEPDIR = .deps
499DIGEST_AUTH_HELPERS =  file LDAP
500DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
501DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
502DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
503DISK_OS_LIBS =  -lrt -lpthread
504DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
505DLLTOOL = false
506DSYMUTIL =
507DUMPBIN =
508ECAP_LIBS = ecap/libsquid-ecap.la
509ECHO_C =
510ECHO_N = -n
511ECHO_T =
512EGREP = /bin/egrep
513EPOLL_LIBS =
514EUILIB =
515EXEEXT =
516EXPATLIB = -lexpat
517EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
518EXT_LIBECAP_CFLAGS =
519EXT_LIBECAP_LIBS = -lecap
520FALSE = /bin/false
521FGREP = /bin/fgrep
522GREP = grep
523HAVE_CXX11 = 1
524ICAP_LIBS = icap/libicap.la
525INCLTDL =
526INSTALL = /usr/bin/install -c
527INSTALL_DATA = ${INSTALL} -m 644
528INSTALL_PROGRAM = ${INSTALL}
529INSTALL_SCRIPT = ${INSTALL}
530INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
531KRB5INCS = -isystem /usr/include/mit-krb5
532KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
533LBERLIB = -llber
534LD = /usr/bin/ld -m elf_x86_64
535LDAPLIB = -lldap
536LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
537LIBADD_DL = -ldl
538LIBADD_DLD_LINK =
539LIBADD_DLOPEN = -ldl
540LIBADD_SHL_LOAD =
541LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
542LIBGNUTLS_LIBS = -lgnutls
543LIBLTDL = -lltdl
544LIBOBJS =
545LIBOPENSSL_CFLAGS =
546LIBOPENSSL_LIBS = -lssl -lcrypto
547LIBS =
548LIBSASL = -lsasl2
549LIBTOOL = $(SHELL) $(top_builddir)/libtool
550LIB_DB = -ldb
551LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
552LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
553LINUXDOC = /bin/false
554LIPO =
555LN = /bin/ln
556LN_S = ln -s
557LOG_DAEMON_HELPERS =  DB file
558LTDLDEPS =
559LTDLINCL =
560LTDLOPEN = libltdl
561LTLIBOBJS =
562LT_ARGZ_H =
563LT_CONFIG_H = include/autoconf.h
564LT_DLLOADERS =  libltdl/dlopen.la
565LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
566LT_SYS_LIBRARY_PATH =
567MAINT = #
568MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
569MANIFEST_TOOL = :
570MINGW_LIBS =
571MKDIR = /bin/mkdir
572MKDIR_P = /bin/mkdir -p
573MV = /bin/mv
574NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
575NETTLELIB =  -lnettle
576NM = /usr/bin/nm -B
577NMEDIT =
578NTLM_AUTH_HELPERS =  fake smb_lm
579OBJDUMP = objdump
580OBJEXT = o
581OTOOL =
582OTOOL64 =
583PACKAGE = squid
584PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
585PACKAGE_NAME = Squid Web Proxy
586PACKAGE_STRING = Squid Web Proxy 3.5.12
587PACKAGE_TARNAME = squid
588PACKAGE_URL =
589PACKAGE_VERSION = 3.5.12
590PATH_SEPARATOR = :
591PERL = /usr/bin/perl
592PKG_CONFIG = /usr/bin/pkg-config
593PKG_CONFIG_LIBDIR =
594PKG_CONFIG_PATH =
595PO2HTML = off
596PO2TEXT = off
597POD2MAN = /usr/bin/pod2man
598RANLIB = ranlib
599REGEXLIB =
600REPL_LIBS = liblru.a libheap.a
601REPL_OBJS = repl/liblru.a repl/libheap.a
602REPL_POLICIES = lru heap
603RM = /bin/rm -f
604SED = /bin/sed
605SET_MAKE =
606SH = /bin/sh
607SHELL = /bin/bash
608SMBCLIENT = /usr/bin/smbclient
609SNMPLIB = ../lib/snmplib/libsnmplib.la
610SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
611SQUID_CPPUNIT_INC =
612SQUID_CPPUNIT_LA =
613SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
614SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
615SSLLIB =  -lssl -lcrypto  -lgnutls
616STOREID_REWRITE_HELPERS =  file
617STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
618STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
619STORE_TESTS =
620STRIP = strip
621TR = /usr/bin/tr
622TRUE = /bin/true
623URL_REWRITE_HELPERS =  fake
624VERSION = 3.5.12
625WBINFO =
626WIN32_PSAPI =
627XMLLIB = -lxml2
628XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
629XTRA_OBJS =
630abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/adaptation/ecap
631abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/adaptation/ecap
632abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
633abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
634ac_ct_AR =
635ac_ct_CC = gcc
636ac_ct_CXX = g++
637ac_ct_DUMPBIN =
638am__include = include
639am__leading_dot = .
640am__quote =
641am__tar = tar --format=ustar -chf - "$$tardir"
642am__untar = tar -xf -
643bindir = ${exec_prefix}/bin
644build = x86_64-pc-linux-gnu
645build_alias = x86_64-linux-gnu
646build_cpu = x86_64
647build_os = linux-gnu
648build_vendor = pc
649builddir = .
650datadir = /usr/share/squid-ssl
651datarootdir = ${prefix}/share
652docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
653dvidir = ${docdir}
654exec_prefix = ${prefix}
655host = x86_64-pc-linux-gnu
656host_alias =
657host_cpu = x86_64
658host_os = linux-gnu
659host_vendor = pc
660htmldir = ${docdir}
661includedir = ${prefix}/include
662infodir = ${prefix}/share/info
663install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
664krb5_config =
665libdir = ${exec_prefix}/lib
666libexecdir = /usr/lib/squid-ssl
667localedir = ${datarootdir}/locale
668localstatedir = /var
669ltdl_LIBOBJS =  lt__strl.o
670ltdl_LTLIBOBJS =  lt__strl.lo
671mandir = /usr/share/man
672mkdir_p = $(MKDIR_P)
673oldincludedir = /usr/include
674pdfdir = ${docdir}
675prefix = /usr
676program_transform_name = s&$$&-ssl&
677psdir = ${docdir}
678runstatedir = ${localstatedir}/run
679sbindir = ${exec_prefix}/sbin
680sharedstatedir = ${prefix}/com
681srcdir = .
682subdirs =  libltdl
683sys_symbol_underscore = no
684sysconfdir = /etc/squid-ssl
685target_alias =
686top_build_prefix = ../../../
687top_builddir = ../../..
688top_srcdir = ../../..
689AM_CFLAGS = $(SQUID_CFLAGS)
690AM_CXXFLAGS = $(SQUID_CXXFLAGS)
691CLEANFILES = testHeaders
692TESTS = testHeaders
693AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
694        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
695        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
696        $(am__append_1)
697LIBPROFILER =
698#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
699COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
700subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
701noinst_LTLIBRARIES = libsquid-ecap.la
702libsquid_ecap_la_SOURCES = \
703        Config.h \
704        Config.cc \
705        Host.h \
706        Host.cc \
707        MessageRep.h \
708        MessageRep.cc \
709        ServiceRep.h \
710        ServiceRep.cc \
711        XactionRep.h \
712        XactionRep.cc \
713        \
714        Registry.h
715
716
717# add libecap using its pkg-config-produced configuration variables
718libsquid_ecap_la_CXXFLAGS = $(EXT_LIBECAP_CFLAGS)
719libsquid_ecap_la_LIBADD = $(EXT_LIBECAP_LIBS)
720all: all-am
721
722.SUFFIXES:
723.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
724$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
725        @for dep in $?; do \
726          case '$(am__configure_deps)' in \
727            *$$dep*) \
728              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
729                && { if test -f $@; then exit 0; else break; fi; }; \
730              exit 1;; \
731          esac; \
732        done; \
733        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/adaptation/ecap/Makefile'; \
734        $(am__cd) $(top_srcdir) && \
735          $(AUTOMAKE) --gnu src/adaptation/ecap/Makefile
736Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
737        @case '$?' in \
738          *config.status*) \
739            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
740          *) \
741            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
742            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
743        esac;
744$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
745
746$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
747        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
748
749$(top_srcdir)/configure: # $(am__configure_deps)
750        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
751$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
752        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753$(am__aclocal_m4_deps):
754
755clean-noinstLTLIBRARIES:
756        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
757        @list='$(noinst_LTLIBRARIES)'; \
758        locs=`for p in $$list; do echo $$p; done | \
759              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
760              sort -u`; \
761        test -z "$$locs" || { \
762          echo rm -f $${locs}; \
763          rm -f $${locs}; \
764        }
765
766libsquid-ecap.la: $(libsquid_ecap_la_OBJECTS) $(libsquid_ecap_la_DEPENDENCIES) $(EXTRA_libsquid_ecap_la_DEPENDENCIES)
767        $(AM_V_CXXLD)$(libsquid_ecap_la_LINK)  $(libsquid_ecap_la_OBJECTS) $(libsquid_ecap_la_LIBADD) $(LIBS)
768
769clean-checkPROGRAMS:
770        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
771        echo " rm -f" $$list; \
772        rm -f $$list || exit $$?; \
773        test -n "$(EXEEXT)" || exit 0; \
774        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
775        echo " rm -f" $$list; \
776        rm -f $$list
777
778mostlyclean-compile:
779        -rm -f *.$(OBJEXT)
780
781distclean-compile:
782        -rm -f *.tab.c
783
784#include ./$(DEPDIR)/libsquid_ecap_la-Config.Plo
785#include ./$(DEPDIR)/libsquid_ecap_la-Host.Plo
786#include ./$(DEPDIR)/libsquid_ecap_la-MessageRep.Plo
787#include ./$(DEPDIR)/libsquid_ecap_la-ServiceRep.Plo
788#include ./$(DEPDIR)/libsquid_ecap_la-XactionRep.Plo
789
790.cc.o:
791#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
792#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
793#       $(am__mv) $$depbase.Tpo $$depbase.Po
794#       $(AM_V_CXX)source='$<' object='$@' libtool=no
795#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
796        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
797
798.cc.obj:
799#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
800#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
801#       $(am__mv) $$depbase.Tpo $$depbase.Po
802#       $(AM_V_CXX)source='$<' object='$@' libtool=no
803#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
804        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
805
806.cc.lo:
807#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
808#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
809#       $(am__mv) $$depbase.Tpo $$depbase.Plo
810#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
811#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
812        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
813
814libsquid_ecap_la-Config.lo: Config.cc
815#       $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-Config.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-Config.Tpo -c -o libsquid_ecap_la-Config.lo `test -f 'Config.cc' || echo '$(srcdir)/'`Config.cc
816#       $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-Config.Tpo $(DEPDIR)/libsquid_ecap_la-Config.Plo
817#       $(AM_V_CXX)source='Config.cc' object='libsquid_ecap_la-Config.lo' libtool=yes
818#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
819        $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-Config.lo `test -f 'Config.cc' || echo '$(srcdir)/'`Config.cc
820
821libsquid_ecap_la-Host.lo: Host.cc
822#       $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-Host.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-Host.Tpo -c -o libsquid_ecap_la-Host.lo `test -f 'Host.cc' || echo '$(srcdir)/'`Host.cc
823#       $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-Host.Tpo $(DEPDIR)/libsquid_ecap_la-Host.Plo
824#       $(AM_V_CXX)source='Host.cc' object='libsquid_ecap_la-Host.lo' libtool=yes
825#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
826        $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-Host.lo `test -f 'Host.cc' || echo '$(srcdir)/'`Host.cc
827
828libsquid_ecap_la-MessageRep.lo: MessageRep.cc
829#       $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-MessageRep.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-MessageRep.Tpo -c -o libsquid_ecap_la-MessageRep.lo `test -f 'MessageRep.cc' || echo '$(srcdir)/'`MessageRep.cc
830#       $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-MessageRep.Tpo $(DEPDIR)/libsquid_ecap_la-MessageRep.Plo
831#       $(AM_V_CXX)source='MessageRep.cc' object='libsquid_ecap_la-MessageRep.lo' libtool=yes
832#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
833        $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-MessageRep.lo `test -f 'MessageRep.cc' || echo '$(srcdir)/'`MessageRep.cc
834
835libsquid_ecap_la-ServiceRep.lo: ServiceRep.cc
836#       $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-ServiceRep.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-ServiceRep.Tpo -c -o libsquid_ecap_la-ServiceRep.lo `test -f 'ServiceRep.cc' || echo '$(srcdir)/'`ServiceRep.cc
837#       $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-ServiceRep.Tpo $(DEPDIR)/libsquid_ecap_la-ServiceRep.Plo
838#       $(AM_V_CXX)source='ServiceRep.cc' object='libsquid_ecap_la-ServiceRep.lo' libtool=yes
839#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
840        $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-ServiceRep.lo `test -f 'ServiceRep.cc' || echo '$(srcdir)/'`ServiceRep.cc
841
842libsquid_ecap_la-XactionRep.lo: XactionRep.cc
843#       $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-XactionRep.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-XactionRep.Tpo -c -o libsquid_ecap_la-XactionRep.lo `test -f 'XactionRep.cc' || echo '$(srcdir)/'`XactionRep.cc
844#       $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-XactionRep.Tpo $(DEPDIR)/libsquid_ecap_la-XactionRep.Plo
845#       $(AM_V_CXX)source='XactionRep.cc' object='libsquid_ecap_la-XactionRep.lo' libtool=yes
846#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
847        $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-XactionRep.lo `test -f 'XactionRep.cc' || echo '$(srcdir)/'`XactionRep.cc
848
849mostlyclean-libtool:
850        -rm -f *.lo
851
852clean-libtool:
853        -rm -rf .libs _libs
854
855ID: $(am__tagged_files)
856        $(am__define_uniq_tagged_files); mkid -fID $$unique
857tags: tags-am
858TAGS: tags
859
860tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
861        set x; \
862        here=`pwd`; \
863        $(am__define_uniq_tagged_files); \
864        shift; \
865        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
866          test -n "$$unique" || unique=$$empty_fix; \
867          if test $$# -gt 0; then \
868            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
869              "$$@" $$unique; \
870          else \
871            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
872              $$unique; \
873          fi; \
874        fi
875ctags: ctags-am
876
877CTAGS: ctags
878ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
879        $(am__define_uniq_tagged_files); \
880        test -z "$(CTAGS_ARGS)$$unique" \
881          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
882             $$unique
883
884GTAGS:
885        here=`$(am__cd) $(top_builddir) && pwd` \
886          && $(am__cd) $(top_srcdir) \
887          && gtags -i $(GTAGS_ARGS) "$$here"
888cscopelist: cscopelist-am
889
890cscopelist-am: $(am__tagged_files)
891        list='$(am__tagged_files)'; \
892        case "$(srcdir)" in \
893          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
894          *) sdir=$(subdir)/$(srcdir) ;; \
895        esac; \
896        for i in $$list; do \
897          if test -f "$$i"; then \
898            echo "$(subdir)/$$i"; \
899          else \
900            echo "$$sdir/$$i"; \
901          fi; \
902        done >> $(top_builddir)/cscope.files
903
904distclean-tags:
905        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
906
907# Recover from deleted '.trs' file; this should ensure that
908# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
909# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
910# to avoid problems with "make -n".
911.log.trs:
912        rm -f $< $@
913        $(MAKE) $(AM_MAKEFLAGS) $<
914
915# Leading 'am--fnord' is there to ensure the list of targets does not
916# expand to empty, as could happen e.g. with make check TESTS=''.
917am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
918am--force-recheck:
919        @:
920
921$(TEST_SUITE_LOG): $(TEST_LOGS)
922        @$(am__set_TESTS_bases); \
923        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
924        redo_bases=`for i in $$bases; do \
925                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
926                    done`; \
927        if test -n "$$redo_bases"; then \
928          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
929          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
930          if $(am__make_dryrun); then :; else \
931            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
932          fi; \
933        fi; \
934        if test -n "$$am__remaking_logs"; then \
935          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
936               "recursion detected" >&2; \
937        elif test -n "$$redo_logs"; then \
938          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
939        fi; \
940        if $(am__make_dryrun); then :; else \
941          st=0;  \
942          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
943          for i in $$redo_bases; do \
944            test -f $$i.trs && test -r $$i.trs \
945              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
946            test -f $$i.log && test -r $$i.log \
947              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
948          done; \
949          test $$st -eq 0 || exit 1; \
950        fi
951        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
952        ws='[   ]'; \
953        results=`for b in $$bases; do echo $$b.trs; done`; \
954        test -n "$$results" || results=/dev/null; \
955        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
956        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
957        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
958        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
959        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
960        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
961        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
962        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
963          success=true; \
964        else \
965          success=false; \
966        fi; \
967        br='==================='; br=$$br$$br$$br$$br; \
968        result_count () \
969        { \
970            if test x"$$1" = x"--maybe-color"; then \
971              maybe_colorize=yes; \
972            elif test x"$$1" = x"--no-color"; then \
973              maybe_colorize=no; \
974            else \
975              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
976            fi; \
977            shift; \
978            desc=$$1 count=$$2; \
979            if test $$maybe_colorize = yes && test $$count -gt 0; then \
980              color_start=$$3 color_end=$$std; \
981            else \
982              color_start= color_end=; \
983            fi; \
984            echo "$${color_start}# $$desc $$count$${color_end}"; \
985        }; \
986        create_testsuite_report () \
987        { \
988          result_count $$1 "TOTAL:" $$all   "$$brg"; \
989          result_count $$1 "PASS: " $$pass  "$$grn"; \
990          result_count $$1 "SKIP: " $$skip  "$$blu"; \
991          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
992          result_count $$1 "FAIL: " $$fail  "$$red"; \
993          result_count $$1 "XPASS:" $$xpass "$$red"; \
994          result_count $$1 "ERROR:" $$error "$$mgn"; \
995        }; \
996        {                                                               \
997          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
998            $(am__rst_title);                                           \
999          create_testsuite_report --no-color;                           \
1000          echo;                                                         \
1001          echo ".. contents:: :depth: 2";                               \
1002          echo;                                                         \
1003          for b in $$bases; do echo $$b; done                           \
1004            | $(am__create_global_log);                                 \
1005        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1006        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1007        if $$success; then                                              \
1008          col="$$grn";                                                  \
1009         else                                                           \
1010          col="$$red";                                                  \
1011          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1012        fi;                                                             \
1013        echo "$${col}$$br$${std}";                                      \
1014        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1015        echo "$${col}$$br$${std}";                                      \
1016        create_testsuite_report --maybe-color;                          \
1017        echo "$$col$$br$$std";                                          \
1018        if $$success; then :; else                                      \
1019          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1020          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1021            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1022          fi;                                                           \
1023          echo "$$col$$br$$std";                                        \
1024        fi;                                                             \
1025        $$success || exit 1
1026
1027check-TESTS:
1028        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1029        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1030        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1031        @set +e; $(am__set_TESTS_bases); \
1032        log_list=`for i in $$bases; do echo $$i.log; done`; \
1033        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1034        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1035        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1036        exit $$?;
1037recheck: all $(check_PROGRAMS)
1038        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1039        @set +e; $(am__set_TESTS_bases); \
1040        bases=`for i in $$bases; do echo $$i; done \
1041                 | $(am__list_recheck_tests)` || exit 1; \
1042        log_list=`for i in $$bases; do echo $$i.log; done`; \
1043        log_list=`echo $$log_list`; \
1044        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1045                am__force_recheck=am--force-recheck \
1046                TEST_LOGS="$$log_list"; \
1047        exit $$?
1048testHeaders.log: testHeaders
1049        @p='testHeaders'; \
1050        b='testHeaders'; \
1051        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1052        --log-file $$b.log --trs-file $$b.trs \
1053        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1054        "$$tst" $(AM_TESTS_FD_REDIRECT)
1055.test.log:
1056        @p='$<'; \
1057        $(am__set_b); \
1058        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1059        --log-file $$b.log --trs-file $$b.trs \
1060        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1061        "$$tst" $(AM_TESTS_FD_REDIRECT)
1062#.test$(EXEEXT).log:
1063#       @p='$<'; \
1064#       $(am__set_b); \
1065#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1066#       --log-file $$b.log --trs-file $$b.trs \
1067#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1068#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1069
1070distdir: $(DISTFILES)
1071        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1072        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1073        list='$(DISTFILES)'; \
1074          dist_files=`for file in $$list; do echo $$file; done | \
1075          sed -e "s|^$$srcdirstrip/||;t" \
1076              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1077        case $$dist_files in \
1078          */*) $(MKDIR_P) `echo "$$dist_files" | \
1079                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1080                           sort -u` ;; \
1081        esac; \
1082        for file in $$dist_files; do \
1083          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1084          if test -d $$d/$$file; then \
1085            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1086            if test -d "$(distdir)/$$file"; then \
1087              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1088            fi; \
1089            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1090              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1091              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1092            fi; \
1093            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1094          else \
1095            test -f "$(distdir)/$$file" \
1096            || cp -p $$d/$$file "$(distdir)/$$file" \
1097            || exit 1; \
1098          fi; \
1099        done
1100check-am: all-am
1101        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1102        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1103check: check-am
1104all-am: Makefile $(LTLIBRARIES)
1105installdirs:
1106install: install-am
1107install-exec: install-exec-am
1108install-data: install-data-am
1109uninstall: uninstall-am
1110
1111install-am: all-am
1112        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1113
1114installcheck: installcheck-am
1115install-strip:
1116        if test -z '$(STRIP)'; then \
1117          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1118            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1119              install; \
1120        else \
1121          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1122            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1123            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1124        fi
1125mostlyclean-generic:
1126        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1127        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1128        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1129
1130clean-generic:
1131        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1132
1133distclean-generic:
1134        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1135        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1136
1137maintainer-clean-generic:
1138        @echo "This command is intended for maintainers to use"
1139        @echo "it deletes files that may require special tools to rebuild."
1140clean: clean-am
1141
1142clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1143        clean-noinstLTLIBRARIES mostlyclean-am
1144
1145distclean: distclean-am
1146        -rm -rf ./$(DEPDIR)
1147        -rm -f Makefile
1148distclean-am: clean-am distclean-compile distclean-generic \
1149        distclean-tags
1150
1151dvi: dvi-am
1152
1153dvi-am:
1154
1155html: html-am
1156
1157html-am:
1158
1159info: info-am
1160
1161info-am:
1162
1163install-data-am:
1164
1165install-dvi: install-dvi-am
1166
1167install-dvi-am:
1168
1169install-exec-am:
1170
1171install-html: install-html-am
1172
1173install-html-am:
1174
1175install-info: install-info-am
1176
1177install-info-am:
1178
1179install-man:
1180
1181install-pdf: install-pdf-am
1182
1183install-pdf-am:
1184
1185install-ps: install-ps-am
1186
1187install-ps-am:
1188
1189installcheck-am:
1190
1191maintainer-clean: maintainer-clean-am
1192        -rm -rf ./$(DEPDIR)
1193        -rm -f Makefile
1194maintainer-clean-am: distclean-am maintainer-clean-generic
1195
1196mostlyclean: mostlyclean-am
1197
1198mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1199        mostlyclean-libtool
1200
1201pdf: pdf-am
1202
1203pdf-am:
1204
1205ps: ps-am
1206
1207ps-am:
1208
1209uninstall-am:
1210
1211.MAKE: check-am install-am install-strip
1212
1213.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1214        clean-checkPROGRAMS clean-generic clean-libtool \
1215        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1216        distclean-compile distclean-generic distclean-libtool \
1217        distclean-tags distdir dvi dvi-am html html-am info info-am \
1218        install install-am install-data install-data-am install-dvi \
1219        install-dvi-am install-exec install-exec-am install-html \
1220        install-html-am install-info install-info-am install-man \
1221        install-pdf install-pdf-am install-ps install-ps-am \
1222        install-strip installcheck installcheck-am installdirs \
1223        maintainer-clean maintainer-clean-generic mostlyclean \
1224        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1225        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1226        uninstall-am
1227
1228.PRECIOUS: Makefile
1229
1230
1231$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1232
1233testHeaders: $(srcdir)/*.h
1234        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1235
1236.PHONY: testHeaders
1237
1238# Tell versions [3.59,3.63) of GNU make to not export all variables.
1239# Otherwise a system limit (for SysV at least) may be exceeded.
1240.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.